#pragma once

#include <Windows.h>

#include "application/contracts/IImGuiClient.h"

namespace ta::adapters::windows::rendering::dx11_backend
{
    bool install(HMODULE module, ta::application::IImGuiClient& client) noexcept;
    [[nodiscard]] bool detach() noexcept;
    void shutdown_resources() noexcept;
}
